package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

public class ContentMaterialDTO implements Serializable {

    private static final long serialVersionUID = -8114034921530488238L;

    // 素材类型, 1文本, 2图片, 3网页, 4视频, 5文件,6小程序 7 卡券
    private int materialType;

    private String imgUrl;
    
    // 1群发 2朋友圈
    private int mediaType ;

    /**
     * 视频封面图
     */
    private String videoImgUrl;

    private String appid ;

    private int type ;

    private String materialTitle ;

    private String link ;

    private String materialDesc;

    /**
     * 画布-群发-卡券素材ID
     */
    private String canvasCouponUUID ;


    public String getCanvasCouponUUID() {
        return canvasCouponUUID;
    }

    public void setCanvasCouponUUID(String canvasCouponUUID) {
        this.canvasCouponUUID = canvasCouponUUID;
    }

    public String getMaterialDesc() {
        return materialDesc;
    }

    public void setMaterialDesc(String materialDesc) {
        this.materialDesc = materialDesc;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getMaterialTitle() {
        return materialTitle;
    }

    public void setMaterialTitle(String materialTitle) {
        this.materialTitle = materialTitle;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public int getMediaType() {
        return mediaType;
    }

    public void setMediaType(int mediaType) {
        this.mediaType = mediaType;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public int getMaterialType() {
        return materialType;
    }

    public void setMaterialType(int materialType) {
        this.materialType = materialType;
    }

    public String getVideoImgUrl() {
        return videoImgUrl;
    }

    public void setVideoImgUrl(String videoImgUrl) {
        this.videoImgUrl = videoImgUrl;
    }
}
